; 68HC908JL3, 68HC908JK3, 68HC908JK1 Equates

PTA    EQU $0000    ; Ports and data direction
PORTA  EQU $0000
PTB    EQU $0001
PORTB  EQU $0001
PTD    EQU $0003
PORTD  EQU $0003

DDRA   EQU $0004
DDRB   EQU $0005
DDRD   EQU $0007

PDCR   EQU $000A
PTAUE EQU $000D

INTKBSR  EQU $001A  ; IRQ & Keyboard
KBSCR    EQU $001A
INTKBIER EQU $001B
KBIER    EQU $001B

INTSCR   EQU $001D

CONFIG1 EQU $001F    ; System configuration register
CONFIG2 EQU $001E    ; System configuration register

TSC   EQU $0020     ; Timer
TCNTH EQU $0021
TCNTL EQU $0022
TMODH EQU $0023
TMODL EQU $0024
TSC0  EQU $0025
TCH0H EQU $0026
TCH0L EQU $0027
TSC1  EQU $0028
TCH1H EQU $0029
TCH1L EQU $002A

ADSCR EQU $003C     ; ADC Converter
ADR   EQU $003D
ADCLK EQU $003E


BSR  EQU $FE00     ; SIM Module
RSR  EQU $FE01
BFCR EQU $FE03

FLCR  EQU $FE08     ; Flash control
FLSPR EQU $FE09
FLTCR EQU $FE0A

BRKH  EQU $FE0C     ; Break control
BRKL  EQU $FE0D
BSCR  EQU $FE0E

INT1  EQU $FE04     ; Interrupt Status
INT2  EQU $FE05
INT3  EQU $FE06

COPCTL EQU $FFFF    ; COP control register

;(C)opywrite P&E Microcomputer Systems, 1999
; You may use this code freely as long as this copyright notice
; is included.

